Xfce Forum

Sub domains
 

You are not logged in.

#1 2018-04-25 13:55:48

oakbert
Member
Registered: 2018-04-24
Posts: 8

xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

Try to re-compile the xfce4-panel_4.12 in xubuntu 16.04 x64.

I download the source package from:
http://archive.ubuntu.com/ubuntu/pool/u … ig.tar.bz2

apt install build-essential intltool pkg-config libxfce4util-dev libgarcon-1-0-dev

./configure
...
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for garcon-gtk2-1 >= 0.3.0... not found
*** The required package garcon-gtk2-1 was not found on your system.
*** Please install garcon-gtk2-1 (atleast version 0.3.0) or adjust
*** the PKG_CONFIG_PATH environment variable if you
*** installed the package in a nonstandard prefix so that
*** pkg-config is able to find it.

root@ubuntu:~/xfce4-panel-4.12.0# find / -name garcon-gtk2-1*

/usr/include/garcon-gtk2-1
/usr/lib/x86_64-linux-gnu/pkgconfig/garcon-gtk2-1.pc

export PKG_CONFIG_PATH=/usr/lib/x86_64-linux-gnu/pkgconfig/

root@ubuntu:~/xfce4-panel-4.12.0# env|grep PKG
PKG_CONFIG_PATH=/usr/lib/x86_64-linux-gnu/pkgconfig/

Also tried:
PKG_CONFIG_PATH=/usr/include/garcon-gtk2-1/garcon-gtk/

Still gave me the same error.

What I am missing?

Last edited by oakbert (2018-04-25 13:58:58)

Offline

#2 2018-04-25 13:56:50

oakbert
Member
Registered: 2018-04-24
Posts: 8

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

root@ubuntu:~/xfce4-panel-4.12.0# dpkg -l|grep garcon

ii  libgarcon-1-0                          0.4.0-2                                    amd64        freedesktop.org compliant menu implementation for Xfce
ii  libgarcon-1-0-dev                      0.4.0-2                                    amd64        Development files for garcon
ii  libgarcon-common                       0.4.0-2                                    all          common files for libgarcon menu implementation

Last edited by oakbert (2018-04-25 13:59:20)

Offline

#3 2018-04-25 23:52:51

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 4,765

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

You should follow the official ubuntu method of updating deb files.

Offline

#4 2018-04-26 13:29:15

oakbert
Member
Registered: 2018-04-24
Posts: 8

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

Thanks a lot @ToZ!

I follow the guide but did not get a .deb at the end.

sudo apt-get build-dep xfce4-panel
sudo apt-get install build-essential fakeroot devscripts

mkdir src
cd src
apt-get source xfce4-panel
cd xfce4-panel-4.12.0/

debuild -us -uc -i -I


dpkg-shlibdeps: warning: debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libsystray.so contains an unresolvable reference to symbol ceil: it's probably a plugin
dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libdirectorymenu.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libclock.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libwindowmenu.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/migrate debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libactions.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libseparator.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libsystray.so debian/xfce4-panel/usr/bin/xfce4-panel debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libapplicationsmenu.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-1.0 debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libtasklist.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libpager.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/libshowdesktop.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/xfce4/panel/plugins/liblauncher.so debian/xfce4-panel/usr/lib/x86_64-linux-gnu/libxfce4panel-1.0.so.4.0.0 were not linked against libpthread.so.0 (they use none of the library's symbols)
dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/libxfce4panel-2.0-4/usr/lib/x86_64-linux-gnu/xfce4/panel/wrapper-2.0 debian/libxfce4panel-2.0-4/usr/lib/x86_64-linux-gnu/libxfce4panel-2.0.so.4.0.0 were not linked against libpthread.so.0 (they use none of the library's symbols)
   dh_installdeb
   dh_gencontrol
dpkg-gencontrol: warning: Depends field of package xfce4-panel-dbg: unknown substitution variable ${shlibs:Depends}
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'xfce4-panel' in '../xfce4-panel_4.12.0-3ubuntu2_amd64.deb'.
dpkg-deb: building package 'xfce4-panel-dev' in '../xfce4-panel-dev_4.12.0-3ubuntu2_amd64.deb'.
dpkg-deb: building package 'libxfce4panel-2.0-4' in '../libxfce4panel-2.0-4_4.12.0-3ubuntu2_amd64.deb'.
dpkg-deb: building package 'libxfce4panel-2.0-dev' in '../libxfce4panel-2.0-dev_4.12.0-3ubuntu2_amd64.deb'.
dpkg-deb: building package 'xfce4-panel-dbg' in '../xfce4-panel-dbg_4.12.0-3ubuntu2_amd64.deb'.
dpkg-genchanges  >../xfce4-panel_4.12.0-3ubuntu2_amd64.changes
dpkg-genchanges: not including original source code in upload
dpkg-source -i -I --after-build xfce4-panel-4.12.0
dpkg-buildpackage: binary and diff upload (original source NOT included)
Now running lintian...
W: xfce4-panel: binary-without-manpage usr/bin/xfce4-popup-applicationsmenu
W: xfce4-panel: binary-without-manpage usr/bin/xfce4-popup-directorymenu
W: xfce4-panel: binary-without-manpage usr/bin/xfce4-popup-windowmenu
N: 1 tag overridden (1 warning)
Finished running lintian.

Offline

#5 2018-04-26 13:30:16

oakbert
Member
Registered: 2018-04-24
Posts: 8

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

The good news is I can pass the ./configure now.

make without error.

But make install give me error at the end:

:~/src/xfce4-panel-4.12.0$ sudo make install
Making install in libxfce4panel
make[1]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
make  install-am
make[2]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
make[3]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
/bin/mkdir -p '/usr/local/lib'
/bin/bash ../libtool   --mode=install /usr/bin/install -c   libxfce4panel-1.0.la '/usr/local/lib'
libtool: install: /usr/bin/install -c .libs/libxfce4panel-1.0.so.4.0.0 /usr/local/lib/libxfce4panel-1.0.so.4.0.0
libtool: install: (cd /usr/local/lib && { ln -s -f libxfce4panel-1.0.so.4.0.0 libxfce4panel-1.0.so.4 || { rm -f libxfce4panel-1.0.so.4 && ln -s libxfce4panel-1.0.so.4.0.0 libxfce4panel-1.0.so.4; }; })
libtool: install: (cd /usr/local/lib && { ln -s -f libxfce4panel-1.0.so.4.0.0 libxfce4panel-1.0.so || { rm -f libxfce4panel-1.0.so && ln -s libxfce4panel-1.0.so.4.0.0 libxfce4panel-1.0.so; }; })
libtool: install: /usr/bin/install -c .libs/libxfce4panel-1.0.lai /usr/local/lib/libxfce4panel-1.0.la

libtool: warning: remember to run 'libtool --finish /usr/lib/x86_64-linux-gnu'
/bin/mkdir -p '/usr/local/include/xfce4/libxfce4panel-1.0/libxfce4panel'
/usr/bin/install -c -m 644 libxfce4panel-enum-types.h libxfce4panel.h libxfce4panel-config.h libxfce4panel-enums.h xfce-arrow-button.h xfce-panel-convenience.h xfce-panel-macros.h xfce-panel-macros-46.h xfce-panel-plugin.h xfce-panel-plugin-provider.h xfce-panel-image.h xfce-hvbox.h '/usr/local/include/xfce4/libxfce4panel-1.0/libxfce4panel'
/bin/mkdir -p '/usr/local/lib/pkgconfig'
/usr/bin/install -c -m 644 libxfce4panel-1.0.pc '/usr/local/lib/pkgconfig'
make[3]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
make[2]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
make[1]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/libxfce4panel'
Making install in common
make[1]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/common'
make[2]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/common'
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
make[2]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/common'
make[1]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/common'
Making install in panel
make[1]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
make  install-am
make[2]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
make[3]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
/bin/mkdir -p '/usr/local/bin'
  /bin/bash ../libtool   --mode=install /usr/bin/install -c xfce4-panel '/usr/local/bin'
libtool: warning: '../libxfce4panel/libxfce4panel-1.0.la' has not been installed in '/usr/lib/x86_64-linux-gnu'
libtool: install: /usr/bin/install -c .libs/xfce4-panel /usr/local/bin/xfce4-panel
make[3]: Nothing to be done for 'install-data-am'.
make[3]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
make[2]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
make[1]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/panel'
Making install in plugins
make[1]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/plugins'
Making install in actions
make[2]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
make  install-am
make[3]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
make[4]: Entering directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
make[4]: Nothing to be done for 'install-exec-am'.
/bin/mkdir -p '/usr/local/share/xfce4/panel/plugins'
/usr/bin/install -c -m 644 actions.desktop '/usr/local/share/xfce4/panel/plugins'
/bin/mkdir -p '/usr/local/lib/xfce4/panel/plugins'
/bin/bash ../../libtool   --mode=install /usr/bin/install -c   libactions.la '/usr/local/lib/xfce4/panel/plugins'
libtool:   error: error: cannot install 'libactions.la' to a directory not ending in /usr/lib/x86_64-linux-gnu/xfce4/panel/plugins
Makefile:547: recipe for target 'install-pluginLTLIBRARIES' failed
make[4]: *** [install-pluginLTLIBRARIES] Error 1
make[4]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
Makefile:744: recipe for target 'install-am' failed
make[3]: *** [install-am] Error 2
make[3]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
Makefile:738: recipe for target 'install' failed
make[2]: *** [install] Error 2
make[2]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/plugins/actions'
Makefile:479: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/lambert/src/xfce4-panel-4.12.0/plugins'
Makefile:598: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1

Last edited by oakbert (2018-04-26 13:32:10)

Offline

#6 2018-04-26 20:49:43

ToZ
Moderator
From: Canada
Registered: 2011-06-02
Posts: 4,765

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

oakbert wrote:

Thanks a lot @ToZ!

I follow the guide but did not get a .deb at the end.

The deb files are located in the src directory that you created. There are I believe 3 of them, so you could:

sudo dpkg -i *.deb

Last edited by ToZ (2018-04-26 20:50:42)

Offline

#7 2018-04-27 20:02:25

oakbert
Member
Registered: 2018-04-24
Posts: 8

Re: xfce4-panel_4.12 "required package garcon-gtk2-1 was not found"

Thank you so much, after several try I got 5 .deb files now.


-rw-r--r--  1 lambert lambert 1379232 Apr 27 13:40 xfce4-panel-dbg_4.12.0-3ubuntu2_amd64.deb
-rw-r--r--  1 lambert lambert   23072 Apr 27 13:40 libxfce4panel-2.0-dev_4.12.0-3ubuntu2_amd64.deb
-rw-r--r--  1 lambert lambert   41724 Apr 27 13:40 libxfce4panel-2.0-4_4.12.0-3ubuntu2_amd64.deb
-rw-r--r--  1 lambert lambert   54510 Apr 27 13:40 xfce4-panel-dev_4.12.0-3ubuntu2_amd64.deb
-rw-r--r--  1 lambert lambert  566728 Apr 27 13:40 xfce4-panel_4.12.0-3ubuntu2_amd64.deb

Much Appreciate!

Offline

Board footer

Powered by FluxBB